# -*- coding: utf-8 -*-
from setuphelpers import *
import tarfile

def install():
    extract_bz2('turbovnc-%s.tar.gz' % control.get_software_version())

    if isdir("/opt/turbovnc"):
        remove_tree("/opt/turbovnc")

    copytree2("turbovnc-%s" % control.get_software_version(), "/opt/turbovnc")
    
def uninstall():
    remove_tree('/opt/turbovnc')

def extract_bz2(filename, path="."):
    with tarfile.open(filename, "r:gz") as tar:
        tar.extractall(path)
